Fix security vulnerability: Equalizer setParameter memory overflow

Bug: 37563371

Test: use POC on bug or cts security test
Change-Id: Ia04f172fb21b11463ffa9ea023d69a3db01e0731
(cherry picked from commit 617cd5c7f46c2312c7253001c46e7eea4c0315e0)
1 file changed
tree: 28bdc859f88afcdee24a0bd055d451e94c5b127f
  1. Android.mk
  2. hal/
  3. legacy/
  4. post_proc/
  5. visualizer/
  6. voice_processing/